commit:     0da9fc040ec3b0f574af036ba821c16a5e936123
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 17 09:00:43 2019 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Wed Jun 19 04:03:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0da9fc04

dev-python/wrapt: bump 1.11.2

Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-python/wrapt/Manifest            |  1 +
 dev-python/wrapt/wrapt-1.11.2.ebuild | 46 ++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index b05997ca7f3..71f3be5aa20 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -1,2 +1,3 @@
 DIST wrapt-1.10.10.tar.gz 122052 BLAKE2B 
216c3cf5ba3b91d2ed6c71c3a131242e8e668394b429e13d1a0ca3a0f806d380ca4e1a1a1d17ea029643fbc0d56defdacfcc9659a9eb1df67771dc03cdc7d292
 SHA512 
e18283cac7bbb137f43fa8c2839fff14072db1fdae57da2b393a5db4007656706838b64bc6785cea25602205b595fc4e7fe033e580d2fb484fd8c77351e046d1
 DIST wrapt-1.10.11.tar.gz 122499 BLAKE2B 
1398bc84e3d5490ba6e6f6f386d5eb6439ec750a2a1c5c29acf91e87a9c9405b11ff10dcb56e4aa28d07d34f7a56fbe9154d2f30556f5a2ae4f1a0986033e05a
 SHA512 
cc051749341bcd6fc1a950607fad94f74334a00acf0366129470181a5af7a3af32a26e5c5deee9242ee12bcc7e4c47dacb958c514aba8a764be3bcc662845b98
+DIST wrapt-1.11.2.tar.gz 124874 BLAKE2B 
262518e097753830d80d834e1dcd5afe9c743e7cad8fad992146829255b99ef0c1a6d0344674935bb6beae9a8e5f42a1a4ade760f7300d104b1a17bc6f94f91f
 SHA512 
2551247c46fbc34068e0f2d6efa91d8c87669c8bf1e16c3b5e2e5e0d84402301c38a78485b7e9a13120c99c9c942db680a84d87a52a072d530aba6444d86297d

diff --git a/dev-python/wrapt/wrapt-1.11.2.ebuild 
b/dev-python/wrapt/wrapt-1.11.2.ebuild
new file mode 100644
index 00000000000..fb3261b28fc
--- /dev/null
+++ b/dev-python/wrapt/wrapt-1.11.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="https://github.com/GrahamDumpleton/wrapt";
+SRC_URI="https://github.com/GrahamDumpleton/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+DEPEND="
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND=""
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_compile() {
+       local WRAPT_EXTENSIONS=true
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       py.test -vv || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to